Runners
Resume Runner
POST
/
runners
/
{runner_id}
/
resume
cURL
curl --request POST \
--url https://api.example.com/runners/{runner_id}/resumeimport requests
url = "https://api.example.com/runners/{runner_id}/resume"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/runners/{runner_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capabilities": {
"cpu_cores": 1,
"gpu_available": true,
"max_concurrent_jobs": 1,
"memory_gb": 123,
"supported_simulation_types": [
"<string>"
],
"python_version": "<string>"
},
"current_jobs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"id": "<string>",
"last_heartbeat": "2023-11-07T05:31:56Z",
"name": "<string>",
"registered_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"total_jobs_completed": 1,
"total_jobs_failed": 1,
"accepting_jobs": true,
"drain_reason": "<string>"
}Path Parameters
Runner identifier
Response
Resume a drained runner
Show child attributes
Show child attributes
Available options:
Idle, Busy, Offline, Maintenance Required range:
x >= 0Required range:
x >= 0⌘I
cURL
